Mailinglist Archive: opensuse (1352 mails)

< Previous Next >
Re: [opensuse] KGPG : Serious fault : still persists after zypper dup of June 03, 2018

On 03/06/18 17:43, David C. Rankin wrote:

On 06/01/2018 03:51 PM, ellanios82 wrote:
TW : have installed :


kgpg-18.04.1-1.1.x86_64
kgpg-lang-18.04.1-1.1.noarch

......


 Decryption : upon entering password , error message appears

 saying "Decryption failed" , but , there is a tiny box for "Details"  : upon
opening details , full-page , there appears

entire file in Decrypted form !

This is alarming and dangerous .

There may be a mismatch in your pinentry package, You have 3 (maybe 4)
options. On 42.3 you have

pinentry
pinentry-gtk2
pinentry-qt4

If you are using one that doesn't correspond to your desktop, it may actually
be passing the password correctly to decrypt, but no providing the desktop
specific exit code thus generating the failure dialog. I've seen cases where
the correct pinentry is a loose dependency, so if you installed a desktop by
other than choosing the whole pattern, you may be in this boat.


- very many thanks : guess i'm in that boat :

- have just installed the qt5 & gnome flavors

 and now have installed :


pinentry-qt5-1.1.0-2.1.x86_64
pinentry-gtk2-1.1.0-2.1.x86_64
pinentry-gnome3-1.1.0-2.1.x86_64
pinentry-1.1.0-2.1.x86_64

.....


Have just done a "zypper dup" : sadly the error persists :(

...

many thanks
regards
...


--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >
References